<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>Calculatrice</title>
	<link rel="stylesheet" type="text/css" href="/static/css/style.css">
</head>
<body>
	<h1>Calculatrice</h1>
	<form action="#" method="post">
		<input type="text" name="expression" id="expression" readonly="readonly" />
		<table>
			<tr>
				<td><button type="button" class="number" onclick="addToExpression('7')">7</button></td>
				<td><button type="button" class="number" onclick="addToExpression('8')">8</button></td>
				<td><button type="button" class="number" onclick="addToExpression('9')">9</button></td>
				<td><button type="button" class="operator" onclick="addToExpression('+')">+</button></td>
			</tr>
			<tr>
				<td><button type="button" class="number" onclick="addToExpression('4')">4</button></td>
				<td><button type="button" class="number" onclick="addToExpression('5')">5</button></td>
				<td><button type="button" class="number" onclick="addToExpression('6')">6</button></td>
				<td><button type="button" class="operator" onclick="addToExpression('-')">-</button></td>
			</tr>
			<tr>
				<td><button type="button" class="number" onclick="addToExpression('1')">1</button></td>
				<td><button type="button" class="number" onclick="addToExpression('2')">2</button></td>
				<td><button type="button" class="number" onclick="addToExpression('3')">3</button></td>
				<td><button type="button" class="operator" onclick="addToExpression('*')">*</button></td>
			</tr>
			<tr>
				<td><button type="button" class="number" onclick="addToExpression('0')">0</button></td>
				<td><button type="button" class="operator" onclick="addToExpression('.')">.</button></td>
				<td><button type="button" class="operator" onclick="clearExpression()">C</button></td>
				<td><button type="button" class="operator" onclick="addToExpression('/')">/</button></td>
			</tr>
			<tr>
				<td><button type="button" class="operator" onclick="addToExpression('Math.pow(')">^</button></td>
				<td><button type="button" class="number" onclick="addToExpression('Math.sqrt(')">√</button></td>
				<td><button type="submit" class="submit">=</button></td>
				<td></td>
			</tr>
		</table>
	</form>
	<div class="result">
		<p>Résultat : <span th:text="${result}">0</span></p>
	</div>
	<!--<script type="text/javascript" src="/static/js/script.js"></script>-->
</body>
</html>